# Uses of Class
javafx.scene.media.Media

Packages that use Media
Package
Description
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of Media in javafx.scene.media

Methods in javafx.scene.media that return Media
Modifier and Type
Method
Description
`final Media`
MediaPlayer.`getMedia()`
Retrieves the `Media` instance being played.
Constructors in javafx.scene.media with parameters of type Media
Modifier
Constructor
Description
``
`MediaPlayer(Media media)`
Create a player for a specific media.